import java.time.*;
public class LocalDateTimeSample{
  public static void main(String[] args) {
    //当前日期时间
    LocalDateTime today = LocalDateTime.now();
    System.out.println("当前日期时间: "+today);
 
    //当前日期时间,利用LocalDate.now()方法指定日期，利用LocalTime.now()方法指定时间
    today =  LocalDateTime.of(LocalDate.now(), LocalTime.now());
    System.out.println("当前日期时间: "+today);
 
    //根据特定参数创建LocalDateTime对象
    LocalDateTime specificDate = LocalDateTime.of(2016, Month.JANUARY, 1, 10, 20, 30);
    System.out.println("特定日期时间: "+specificDate);
 
    //获得欧洲巴黎的当前日期时间
    LocalDateTime todayParis =  LocalDateTime.now(ZoneId.of("Europe/Paris"));
    System.out.println("巴黎的当前日期时间: "+todayParis);
 
    
    //以“1970/1/1 00:00:00”为基准，计算经过特定秒数后的日期时间
    //第一个参数为秒数，第二个参数为纳秒数，第三个参数为时差
    LocalDateTime dateFromBase =  LocalDateTime.ofEpochSecond(10000,0,ZoneOffset.UTC);
    System.out.println("经过特定秒数后的日期时间: "+dateFromBase);
  }
}


/****************************************************
 * 作者：孙卫琴                                     *
 * 来源：<<Java面向对象编程>>                       *
 * 技术支持网址：www.javathinker.net                *
 ***************************************************/
